function enableSubmitButton() {
    document.getElementById("subscribeToNewsletterButton").disabled = false;
}

$(document).ready(function() {
    $('#subscribeToNewsletterButton').click(function() {
        if (validateForm() && validateEmail()) {
            $("#subscribeToNewsletterButton").text("Aguarde...");
            $("#subscribeToNewsletterButton").attr("disabled", true);

            var nome = $("#nome").val();
            var email = $("#email").val();
            const url = window["URLEndpointNewsletter"] + email + "/" + nome;

            fetch(url)
            .then(function() {
                $("#subscribeToNewsletterButton").hide();
                $("#successSubscribed").show();
            })
            .catch(function() {
                $("#subscribeToNewsletterButton").hide();
                $("#errorSubscribe").show();
            });
        }
    });
});

function validateForm() {
    var isValid = true;
    $('.form-field').each(function() {
        if ($(this).val() === '') {
            isValid = false;
        }
    });
    return isValid;
}

function validateEmail() {
    var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
    return emailReg.test($("#email").val());
}
